// pages/news/index.js
const api = require('../../utils/config');
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    imgList:[],
    content: '',
    title: '',
    host: app.data.api.root_host,
  },
  textareaBInput: function(e){
    this.setData({
      content: e.detail.value,
    })
  },
  inputTitle: function(e){
    this.setData({
      title: e.detail.value
    })
  },
  //提交内容
  submit: function(){
    if(!this.data.title){
      wx.showToast({
        title: '请填写主题',
        icon: 'none'
      })
      return;
    }
    if(!this.data.content){
      wx.showToast({
        title: '请填写发布内容',
        icon: 'none'
      })
      return;
    }
    app.data.utils.isLogin();
    var userInfo = wx.getStorageSync('userInfo');
    console.log(userInfo);
    app.data.utils.request({
      url: app.data.api.posts_action,
      data: {
        members_id: userInfo.id, 
        images: this.data.imgList, 
        title: this.data.title,
        content: this.data.content,
        nickname: userInfo.nickname,
        parent_id: 0,
      },
      method: 'post',
      success: (res)=> {
        wx.showToast({
          title: '发帖成功',
        })
        wx.switchTab({
          url: '/pages/news-list/index',
        })
      }
    })
  },


  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  ChooseImage() {
    wx.chooseImage({
      count: 4, //默认9
      sizeType: ['original', 'compressed'], //可以指定是原图还是压缩图，默认二者都有
      sourceType: ['album'], //从相册选择
      success: (res) => {
        const tempFilePaths = res.tempFilePaths
        for(let i=0; i < tempFilePaths.length; i++) {
          wx.uploadFile({
            url: api.uploadImage, //仅为示例，非真实的接口地址
            filePath: tempFilePaths[i],
            name: 'file',
            formData: {
              'user': 'test'
            },
            success: (res) => {
              const data = JSON.parse(res.data)
              console.log( data);
              if (this.data.imgList.length != 0) {
                this.setData({
                  imgList: this.data.imgList.concat(data.urls)
                })
              } else {
                this.setData({
                  imgList: this.data.imgList.concat(data.urls)
                })
              }
              //do something
            }
          })
         
        }
      
      }
    });
  },
  ViewImage(e) {
    wx.previewImage({
      urls: this.data.imgList,
      current: e.currentTarget.dataset.url
    });
  },
  DelImg(e) {
    wx.showModal({
      title: '删除图片',
      content: '确定要删除这张图片吗？',
      cancelText: '取消',
      confirmText: '确认',
      success: res => {
        if (res.confirm) {
          this.data.imgList.splice(e.currentTarget.dataset.index, 1);
          this.setData({
            imgList: this.data.imgList
          })
        }
      }
    })
  },
  textareaBInput(e) {
    this.setData({
      content: e.detail.value
    })
  },
})